@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&display=swap');

:root{
    --primary-color:#f92524;
    --primary-color-dark:#e91a1a;
    --secondary-color:#faf9fe;
    --text-dark:#0f172a;
    --text-light:#64748b;
    --white:#ffffff;
    --max-width: 1200px;
}

*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

.section_container{
    max-width: var(--max-width);
    margin: auto;
    padding: 5rem 1rem;
}

.section_header{
    position: relative;
    padding-bottom: 5rem;
    margin-bottom: 1rem;
    font-size: 2.25rem;
    font-weight: 600;
    color: var(--text-dark);
}

.section_header::after{
    position: absolute;
    content: "";
    left: 0;
    bottom: 0;
    width: 50px;
    height: 3px;
    background-color: var(--primary-color);
}

.section_description{
    max-width: 900px;
    color: var(--text-light);
}

.btn{
    padding: .75rem 1.5rem;
    outline: none;
    border: none;
    font-size: 1rem;
    white-space: nowrap;
    color: var(--white);
    background-color: var(--primary-color);
    border-radius: 5px;
    cursor: pointer;
    transition: 0.3s;
}

.btn:hover{
    background-color: var(--primary-color-dark);
}

img{
    display: flex;
    width: 100%;
}

a{
    text-decoration: none;
    white-space: nowrap;
}

html,
body{
    scroll-behavior: smooth;
}

body{
    font-family: 'Poppins', sans-serif;
}

.header{
    background-color: var(--secondary-color);
}

nav{
    position: fixed;
    isolation: isolate;
    width: 100%;
    z-index: 9;
}

.nav_header{
    padding: 1rem;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: var(--secondary-color);
}

.nav_logo a{
    display: flex;
    align-items: center;
    gap: 0.5rem;
    font-weight: 600;
    color: var(--text-dark);
}

.nav_logo img{
    max-width: 70px;
}

.nav_links{
    position: absolute;
    top: 68px;
    left: 0;
    width: 100%;
    padding: 2rem;
    list-style: none;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 2rem;
    background-color: var(--secondary-color);
    transition: .5s;
    z-index: -1;
    transform: translateY(-100%);
}

.nav_links.open{
    transform: translateY(0);
}

.link a{
    color: var(--text-dark);
    transition: 0.3s;
}

.link a:hover{
    color: var(--primary-color);
}

.nav_menu_btn{
    font-size: 1.5rem;
    color: var(--text-dark);
}
.header_container{
    display: grid;
    gap: 2rem;
}

.header_image img{
    max-width: 500px;
    margin: auto;
}

.header_content h4{
    font-size: 2.5rem;
    font-weight: 400;
    color: var(--text-dark);
}
.header_content .section_header{
    font-size: 3.5rem;
    font-weight: 700;
}
.header_content p{
    margin-bottom: 2rem;
    color: var(--text-light);
}

.about_container {
    display: grid;
    gap: 2rem;
  }
  
  .about_image {
    position: relative;
    isolation: isolate;
  }
  
  .about_image img {
    max-width: 500px;
    margin: auto;
  }
  
  .about_image .about_bg {
    position: absolute;
    right: 2rem;
    top: 3rem;
    max-width: 250px;
    z-index: -1;
    opacity: 0.5;
  }
  
  .about_grid {
    margin-top: 2rem;
    display: grid;
    gap: 2rem;
  }
  
  .about_card {
    display: flex;
    align-items: center;
    gap: 1rem;
  }
  
  .about_card span {
    padding: 11px 19px;
    font-size: 2rem;
    color: var(--primary-color);
    border: 2px solid var(--primary-color);
    border-radius: 100%;
  }
  
  .about_card h4 {
    margin-bottom: 0.5rem;
    font-size: 1.2rem;
    font-weight: 500;
    color: var(--text-dark);
  }
  
  .about_card p {
    color: var(--text-light);
  }  

  .class_grid {
    margin-top: 4rem;
    display: grid;
    gap: 2rem;
  }
  
  .class_card {
    position: relative;
    isolation: isolate;
    display: flex;
    flex-direction: column;
    cursor: pointer;
    transition: 0.3s;
  }
  
  .class_card .class_bg {
    position: absolute;
    max-width: 175px;
    top: -3rem;
    right: -1rem;
    z-index: -1;
    opacity: 0;
    transition: 0.3s;
  }
  
  .class_card:hover .class_bg {
    opacity: 0.5;
  }
  
  .class_card:hover {
    transform: translateY(-10px);
  }
  
  .class_content {
    flex: 1;
    padding: 1rem;
    background-color: var(--primary-color);
    color: var(--white);
  }
  
  .class_content h4 {
    margin-bottom: 5px;
    font-size: 1.2rem;
    font-weight: 500;
  }

  .trainer_container :is(.section_header, .section_description) {
    width: fit-content;
    margin-inline: auto;
    text-align: center;
  }
  
  .trainer_container .section_header::after {
    left: 50%;
    transform: translateX(-50%);
  }
  
  .trainer_grid {
    margin-top: 4rem;
    display: grid;
    align-items: center;
  }
  
  .trainer_card {
    height: 100%;
    display: grid;
    align-items: center;
  }
  
  .trainer_card img {
    height: 100%;
    object-fit: cover;
  }
  
  .trainer_content {
    padding: 2rem 1rem;
  }
  
  .trainer_content h4 {
    font-size: 1.2rem;
    font-weight: 600;
    color: var(--text-dark);
  }
  
  .trainer_content h5 {
    margin-bottom: 1rem;
    font-size: 1rem;
    font-weight: 500;
    color: var(--text-light);
  }
  
  .trainer_content p {
    margin-block: 1rem;
    color: var(--text-light);
  }
  
  .trainer_socials {
    display: flex;
    align-items: center;
    gap: 1rem;
  }
  
  .trainer_socials a {
    font-size: 1.2rem;
    color: var(--text-light);
  }
  
  .trainer_socials a:hover {
    color: var(--primary-color);
  }

  .price_container :is(.section_header, .section_description) {
    width: fit-content;
    margin-inline: auto;
    text-align: center;
  }
  
  .price_container .section_header::after {
    left: 50%;
    transform: translateX(-50%);
  }
  
  .price_grid {
    margin-top: 4rem;
    display: grid;
    gap: 2rem;
  }
  
  .price_card {
    padding: 2rem 1rem;
    display: flex;
    flex-direction: column;
    text-align: center;
    box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.1);
  }
  
  .price_content {
    flex: 1;
    margin-bottom: 2rem;
  }
  
  .price_content img {
    max-width: 70px;
    margin-inline: auto;
    margin-bottom: 1rem;
  }
  
  .price_content h4 {
    margin-bottom: 1rem;
    font-size: 1.2rem;
    font-weight: 600;
    color: var(--text-dark);
  }
  
  .price_content p {
    margin-bottom: 1rem;
    color: var(--text-light);
  }
  
  .price_content hr {
    margin-bottom: 1rem;
  }

  @media (width > 480px) {
    .class_grid {
      grid-template-columns: repeat(2, 1fr);
      gap: 2rem 1rem;
    }
  
    .trainer_grid {
      grid-template-columns: repeat(2, 1fr);
      align-items: center;
    }
  
    .trainer_card:nth-child(3) {
      grid-area: 2/2/3/3;
    }
  
    .price_grid {
      grid-template-columns: repeat(2, 1fr);
      gap: 2rem 1rem;
    }
  }  

  @media (width > 768px) {
    nav {
      position: static;
      padding: 2rem 1rem;
      max-width: var(--max-width);
      margin-inline: auto;
      display: flex;
      align-items: center;
      justify-content: space-between;
      gap: 2rem;
    }
  
    .nav_header {
      padding: 0;
      background-color: transparent;
    }
  
    .nav_menu_btn {
      display: none;
    }
  
    .nav_links {
      position: static;
      padding: 0;
      flex-direction: row;
      background-color: transparent;
      transform: none;
    }
  
    .header_container {
      padding-block: 0;
      grid-template-columns: repeat(2, 1fr);
      align-items: center;
    }
  
    .header_content {
      padding-block: 5rem;
      grid-area: 1/1/2/2;
    }

    .about_container {
        grid-template-columns: repeat(2, 1fr);
        align-items: center;
      }
    
      .about_grid {
        gap: 3rem;
      }
    
      .class_grid {
        grid-template-columns: repeat(4, 1fr);
      }
    
      .trainer_grid {
        grid-template-columns: repeat(3, 1fr);
      }
    
      .trainer_card:nth-child(3) {
        grid-area: unset;
      }
    
      .trainer_content {
        padding: 2rem;
      }
    
      .price_grid {
        grid-template-columns: repeat(3, 1fr);
      }
}

@media (width > 1024px) {
    .class_grid {
      gap: 2rem;
    }
  
    .price_grid {
      gap: 2rem;
    }
  
    .price_card {
      padding: 2rem;
    }
  }